import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  data: SortOrderSchema.optional()
}).strict();
export const OfficeHoursCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.OfficeHoursCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursCountOrderByAggregateInput>;
export const OfficeHoursCountOrderByAggregateInputObjectZodSchema = makeSchema();
